package com.zm.order.tool.server.dto;

import com.alibaba.fastjson.JSON;
import com.zm.order.tool.server.model.refund.BaseIndexRefund;

import java.util.List;

/**
 * @Description 搜索退款单DTO
 * @Author: zhuxiaofeng
 * @Date: 2022-11-10 15:56:15
 */
public class SearchRefundDTO {

    private Long total;

    private List<BaseIndexRefund> refundList;

    public Long getTotal() {
        return total;
    }

    public void setTotal(Long total) {
        this.total = total;
    }

    public List<BaseIndexRefund> getRefundList() {
        return refundList;
    }

    public void setRefundList(List<BaseIndexRefund> refundList) {
        this.refundList = refundList;
    }

    public SearchRefundDTO(Long total, List<BaseIndexRefund> refundList) {
        this.total = total;
        this.refundList = refundList;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
